Support » Plugin: qTranslate X » php error: qtranxf_postsFilter() expected to be a reference

  • Hi,

    I have the latest wordpress, but I keep getting Qtranslate php errors.

    How can I solve this ?

    Backend log: PHP Warning: Parameter 2 to qtranxf_postsFilter() expected to be a reference, value given in /home/domains/mysite.com/public_html/wp-includes/class-wp-hook.php on line 287\n

    thanks

Viewing 2 replies - 1 through 2 (of 2 total)
  • Hi,

    Yes, you can.

    In the following file: \wp-content\plugins\qtranslate-x\qtranslate-frontend.php
    on line 523 you find “function qtranxf_postsFilter($posts, &$query) {”
    – remove the “&” from that line,
    so it should look like this: function qtranxf_postsFilter($posts,$query) {

    Thread Starter parabrahman

    (@parabrahman)

    thank you so much…
    So glad somebody actually answered on this mothballed plugin.
    I will certainly install the UPDATED version, of which I am very grateful.
    It’s on Github ( see post in support section on top )

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.